Skip to content

CloudFront  >  Operations  >  list_field_level_encryption_configs

list_field_level_encryption_configs

Operation

list_field_level_encryption_configs async

list_field_level_encryption_configs(request: ListFieldLevelEncryptionConfigsInput | ListFieldLevelEncryptionConfigsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListFieldLevelEncryptionConfigsOutput
list_field_level_encryption_configs(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListFieldLevelEncryptionConfigsInputDict]) -> ListFieldLevelEncryptionConfigsOutput

List all field-level encryption configurations that have been created in CloudFront for this account.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListFieldLevelEncryptionConfigsOutput

An instance of ListFieldLevelEncryptionConfigsOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListFieldLevelEncryptionConfigsInput dataclass

Bases: _SerdeShape

Dataclass for ListFieldLevelEncryptionConfigsInput structure.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this when paginating results to indicate where to begin in your list of configurations. The results include configurations in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last configuration on that page).

max_items class-attribute instance-attribute
max_items: int | None = ...

The maximum number of field-level encryption configurations you want in the response body.

Dictionaries

ListFieldLevelEncryptionConfigsInputDict

Bases: TypedDict

Dictionary form of ListFieldLevelEncryptionConfigsInput.

Attributes
marker instance-attribute
marker: str | None

Use this when paginating results to indicate where to begin in your list of configurations. The results include configurations in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last configuration on that page).

max_items instance-attribute
max_items: int | None

The maximum number of field-level encryption configurations you want in the response body.

Output

ListFieldLevelEncryptionConfigsOutput dataclass

Bases: _SerdeShape

Dataclass for ListFieldLevelEncryptionConfigsOutput structure.

Attributes

field_level_encryption_list class-attribute instance-attribute
field_level_encryption_list: FieldLevelEncryptionList | None = ...

Returns a list of all field-level encryption configurations that have been created in CloudFront for this account.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.